Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libayatana-appindicator3-1-0.5.90-1.1 RPM for riscv64

From OpenSuSE Ports Tumbleweed for riscv64

Name: libayatana-appindicator3-1 Distribution: openSUSE Tumbleweed
Version: 0.5.90 Vendor: openSUSE
Release: 1.1 Build date: Sat Nov 27 23:52:37 2021
Group: System/Libraries Build host: old-atreju5
Size: 86893 Source RPM: libayatana-appindicator-0.5.90-1.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/AyatanaIndicators/libayatana-appindicator
Summary: Ayatana application indicators library
A library to allow applications to add an icon into the
StatusNotifier-compatible notification area. If none are available,
it also provides an XEmbed-tray fallback.

Provides

Requires

License

GPL-3.0-only AND LGPL-2.0-only AND LGPL-3.0-only

Changelog

* Sat Nov 20 2021 Alexei Sorokin <sor.alexei@meowr.ru>
  - Update to version 0.5.90 (changes since 0.5.3):
    * Switch from autotools to CMake.
    * Drop deprecated g_type_class_add_private Glib-2.0 API calls.
    * Drop Python2 support.
    * Mono bindings: Change namespace from
      ayatana-appindicator-sharp3 to ayatana-appindicator3-sharp
      (and similar).
    * Default to GTK 3 as default build flavour.
  - Drop libayatanaappindicator-disable-werror.patch: no longer
    needed.
  - Rebase libayatana-appindicator-fix-mono-dir.patch.
* Tue Jul 07 2020 Callum Farmer <callumjfarmer13@gmail.com>
  - Fixes for %_libexecdir changing to /usr/libexec
* Mon Mar 23 2020 Tomáš Chvátal <tchvatal@suse.com>
  - Fix build on py2 less system
* Sun Feb 02 2020 Matthias Mailänder <mailaender@opensuse.org>
  - Use the vanilla nunit for compatibility with newer Mono
* Tue Oct 01 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
  - Make sure the OBS spec file parser does not apply the gtk3 psuffix
    for the default ("") multibuild flavor.
* Wed Sep 18 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
  - Split gtk2 and gtk3 builds using _multibuild. Python2 and Mono
    bindings are only available for GTK2, so the GTK3 version has
    significantly less build dependencies,
    add only_require_python_for_gtk2.patch
  - Allow configure run to succeed even when gtk-doc is not installed,
    add make_gtk_doc_optional.patch
* Wed May 15 2019 maurizio.galli@gmail.com
  - Drop libayatana-appindicator-activate-support.patch as it's no longer
    needed and breaks context menu / actions in fall-back mode
    (boo#1132659)
* Sun Jan 13 2019 ximi.obs@gmail.com
  - Changed the activate-support patch to signal an "activate-event"
    so users can create callbacks themselves.
    Original patch from Yichao Yu <yyc1992@gmail.com>.
* Sat Aug 18 2018 sor.alexei@meowr.ru
  - Do not limit Python 2 bindings to openSUSE.
* Wed Mar 21 2018 sor.alexei@meowr.ru
  - Update to version 0.5.3:
    * Makefile.am: Drop distcheck features.
    * src/app-indicator.c: Type cast assignments from g_object_ref().
* Mon Mar 12 2018 sor.alexei@meowr.ru
  - Initial package.

Files

/usr/lib64/libayatana-appindicator3.so.1
/usr/lib64/libayatana-appindicator3.so.1.0.0
/usr/share/doc/packages/libayatana-appindicator3-1
/usr/share/doc/packages/libayatana-appindicator3-1/README
/usr/share/licenses/libayatana-appindicator3-1
/usr/share/licenses/libayatana-appindicator3-1/COPYING
/usr/share/licenses/libayatana-appindicator3-1/COPYING.LGPL.2.1


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon May 9 11:28:12 2022